.overview-visual {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  text-align: center;
}

.overview-visual::before {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  content: '';
  width: 100%;
  height: 100%;
  background: rgba(3, 7, 18, 0.6);
}

.overview-visual .visual-content {
  position: relative;
  z-index: 1;
}

@keyframes overviewFadeUp {
  100% {
    opacity: 1;
    transform: unset;
  }
}

.overview-visual .visual-title {
  color: #ffffff;
  text-align: center;
  font-size: 80px;
  font-weight: 700;
  line-height: 130%;
  opacity: 0;
  transform: translateY(120px);
  animation: overviewFadeUp 0.5s 0.2s forwards;
}

.overview-visual .btn-visual {
  display: flex;
  align-items: center;
  width: fit-content;
  height: 76px;
  margin: 48px auto 0;
  padding: 0 32px;
  color: #fff;
  font-size: 24px;
  font-weight: 600;
  line-height: 150%;
  letter-spacing: -0.24px;
  text-decoration: none;
  border-radius: 8px;
  background: #05d16e;
  opacity: 0;
  transform: translateY(120px);
  animation: overviewFadeUp 0.5s 0.4s forwards;
}

.overview-visual .visual-video {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

@media (max-width: 1919px) {
  .overview-visual .visual-title {
    font-size: 72px;
  }

  .overview-visual .btn-visual {
    margin-top: 32px;
  }
}

@media (max-width: 1599px) {
  .overview-visual .visual-title {
    font-size: 64px;
    letter-spacing: -1.28px;
  }

  .overview-visual .btn-visual {
    height: 64px;
    margin-top: 28px;
    padding: 0 24px;
    font-size: 20px;
    letter-spacing: -0.2px;
  }
}

@media (max-width: 768px) {
  .overview-visual .visual-title {
    font-size: 32px;
    letter-spacing: -0.32px;
  }

  .overview-visual .btn-visual {
    height: 60px;
    margin-top: 32px;
    font-size: 18px;
    font-weight: 160%;
    letter-spacing: -0.18px;
  }
}
